summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Daniel Romero2013-02-18 05:54:43 +0100
committer Robby Workman2013-02-23 05:27:45 +0100
commit36e7878638389eaaa563e8feefa38ac6786ecc08 (patch)
tree38eb678a378c37f8c716c15f62a1b67289d87abb /graphics
parentb42641a33a030c04504a79d64a4e4cd9bcb19b3e (diff)
downloadslackbuilds-36e7878638389eaaa563e8feefa38ac6786ecc08.tar.gz
graphics/screencloud: Added (Easy to use screenshot tool)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/screencloud/README8
-rw-r--r--graphics/screencloud/screencloud.SlackBuild68
-rw-r--r--graphics/screencloud/screencloud.info10
-rw-r--r--graphics/screencloud/slack-desc19
4 files changed, 105 insertions, 0 deletions
diff --git a/graphics/screencloud/README b/graphics/screencloud/README
new file mode 100644
index 0000000000..60853fc537
--- /dev/null
+++ b/graphics/screencloud/README
@@ -0,0 +1,8 @@
+ScreenCloud allows you to take a screenshot using one of the 3 hotkeys
+or simply click the ScreenCloud tray icon. You can choose where you
+want to save your screenshot. If you choose to upload your screenshot
+to the screencloud website, a link will automatically be copied to your
+clipboard. You can share this link with your friends or colleagues via
+email or in an IM conversation. All they have to do is click the link
+and look at your screenshot. ScreenCloud also offers FTP and SFTP
+uploading if you want to use your own server.
diff --git a/graphics/screencloud/screencloud.SlackBuild b/graphics/screencloud/screencloud.SlackBuild
new file mode 100644
index 0000000000..8847f61e31
--- /dev/null
+++ b/graphics/screencloud/screencloud.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for ScreenCloud
+
+# Copyright 2013 Daniel Romero, Fortaleza, CE, BRA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=screencloud
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+case "$( uname -m )" in
+ i?86) DEBARCH=i386 ; ARCH=i386 ;;
+ x86_64) DEBARCH=amd64 ; ARCH=x86_64 ;;
+ arm*) ARCH=arm ;;
+ *) echo "$( uname -m ) not supported!" ; exit 1 ;;
+esac
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/screencloud_${VERSION}_${DEBARCH}.deb data.tar.gz | tar xvz
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+chmod 0755 $PKG
+#rm -rf etc/
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
+rmdir $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/share/icons
+mkdir -p $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/bin
+ln -s /opt/screencloud/screencloud.sh $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/graphics/screencloud/screencloud.info b/graphics/screencloud/screencloud.info
new file mode 100644
index 0000000000..9564ab4401
--- /dev/null
+++ b/graphics/screencloud/screencloud.info
@@ -0,0 +1,10 @@
+PRGNAM="screencloud"
+VERSION="1.1.0"
+HOMEPAGE="http://screencloud.net/"
+DOWNLOAD="http://screencloud.net/files/linux/screencloud_1.1.0_i386.deb"
+MD5SUM="27ace0f4c9532cbdbf32556ff9cc13f1"
+DOWNLOAD_x86_64="http://screencloud.net/files/linux/screencloud_1.1.0_amd64.deb"
+MD5SUM_x86_64="fdabf6873b993f9401e5469e8c53a320"
+REQUIRES="libssh2 qoauth"
+MAINTAINER="Daniel Romero"
+EMAIL="infoslack@gmail.com"
diff --git a/graphics/screencloud/slack-desc b/graphics/screencloud/slack-desc
new file mode 100644
index 0000000000..eadbf7b777
--- /dev/null
+++ b/graphics/screencloud/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+screencloud: ScreenCloud (Easy to use screenshot tool)
+screencloud:
+screencloud: Take a screenshot using one of the 3 hotkeys or simply click the
+screencloud: ScreenCloud tray icon. You can choose where you want to save your
+screencloud: screenshot. If you choose to upload it to the screencloud website,
+screencloud: a link will automatically be copied to your clipboard. You can
+screencloud: share this link with your friends or colleagues via email or in an
+screencloud: IM conversation. ScreenCloud also offers FTP and SFTP uploading if
+screencloud: you want to use your own server.
+screencloud:
+screencloud: Homepage: http://screencloud.net